Package: org.apache.groovy.contracts

## [Java] Class ClassInvariantViolation

- org.apache.groovy.contracts.ClassInvariantViolation

-     public class ClassInvariantViolation
      extends AssertionViolation

  Thrown whenever a class invariant violation occurs.

  See Also:
    AssertionViolation

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassInvariantViolation()` Creates a class-invariant violation without an explicit detail message.
    `ClassInvariantViolation(Object o)` Creates a class-invariant violation with an object-valued detail.
    `ClassInvariantViolation(boolean b)` Creates a class-invariant violation with a boolean detail.
    `ClassInvariantViolation(char c)` Creates a class-invariant violation with a character detail.
    `ClassInvariantViolation(int i)` Creates a class-invariant violation with an integer detail.
    `ClassInvariantViolation(long l)` Creates a class-invariant violation with a long detail.
    `ClassInvariantViolation(float v)` Creates a class-invariant violation with a floating-point detail.
    `ClassInvariantViolation(double v)` Creates a class-invariant violation with a double-precision detail.

- - ### Constructor Detail

    - #### public ClassInvariantViolation()

      Creates a class-invariant violation without an explicit detail message.

    - #### public ClassInvariantViolation(Object o)

      Creates a class-invariant violation with an object-valued detail.

      Parameters:
        `o` - the detail object

    - #### public ClassInvariantViolation(boolean b)

      Creates a class-invariant violation with a boolean detail.

      Parameters:
        `b` - the detail value

    - #### public ClassInvariantViolation(char c)

      Creates a class-invariant violation with a character detail.

      Parameters:
        `c` - the detail value

    - #### public ClassInvariantViolation(int i)

      Creates a class-invariant violation with an integer detail.

      Parameters:
        `i` - the detail value

    - #### public ClassInvariantViolation(long l)

      Creates a class-invariant violation with a long detail.

      Parameters:
        `l` - the detail value

    - #### public ClassInvariantViolation(float v)

      Creates a class-invariant violation with a floating-point detail.

      Parameters:
        `v` - the detail value

    - #### public ClassInvariantViolation(double v)

      Creates a class-invariant violation with a double-precision detail.

      Parameters:
        `v` - the detail value